(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     22980,        495]
NotebookOptionsPosition[     22506,        475]
NotebookOutlinePosition[     22960,        493]
CellTagsIndexPosition[     22917,        490]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"Sin", "[", "x", "]"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"-", "2"}]}], ",", 
      RowBox[{"d", "=", "10"}], ",", 
      RowBox[{"e", "=", 
       RowBox[{"-", "4"}]}], ",", 
      RowBox[{"f", "=", "4"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "e", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "f", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"qq", "=", 
            RowBox[{"Piecewise", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"q", ",", 
                 RowBox[{"a", "<", "x", "<", "b"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"x", "<", "a"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"x", ">", "b"}]}], "}"}]}], "}"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"exactarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Integrate", "[", 
              RowBox[{"q", ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"gg", "=", 
            RowBox[{"Integrate", "[", 
             RowBox[{"q", ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "a", ",", "x"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"ggg", "=", 
            RowBox[{"Piecewise", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"gg", ",", 
                 RowBox[{"a", "<", "x", "<", "b"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"x", "<", "a"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"x", ">", "b"}]}], "}"}]}], "}"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"graphics", " ", "to", " ", "Manipulate"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"Grid", "[", 
            RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"text", " ", "-", " ", 
              RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
            
            RowBox[{"{", 
             RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"Framed", "@", 
                RowBox[{"Text", "@", 
                 RowBox[{"Column", "[", 
                  RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "a", "]"}], ",", 
                    "\"\<   b = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "b", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<Area = \>\"", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"exactarea", ",", "10"}], "]"}]}], "}"}], "]"}], 
                    ",", "Purple", ",", "16"}], "]"}]}], "}"}], 
                   "\[IndentingNewLine]", ",", 
                   RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"(*", "3", "*)"}], "]"}]}]}], "\[IndentingNewLine]", 
               RowBox[{"(*", "2", "*)"}], "}"}], ",", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"plots", " ", "-", " ", 
                RowBox[{"second", " ", "row"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Show", "[", 
                RowBox[{
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"q", ",", "qq"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "c", ",", "d"}], "}"}], ",", 
                    RowBox[{"Filling", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", "\[Rule]", "Axis"}], "}"}]}], ",", 
                    RowBox[{"PlotPoints", "\[Rule]", "300"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}]}], "\[IndentingNewLine]",
                    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"550", ",", "300"}], "}"}]}]}], "]"}], 
               "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"Show", "[", 
                RowBox[{
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{"Plot", "[", 
                   RowBox[{"ggg", ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "c", ",", "d"}], "}"}], ",", 
                    RowBox[{"PlotPoints", "\[Rule]", "300"}], 
                    "\[IndentingNewLine]", ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}]}], "\[IndentingNewLine]",
                    "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
                  "}"}], ",", 
                 RowBox[{"ImageSize", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"550", ",", "300"}], "}"}]}]}], "]"}], 
               "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
             RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
            RowBox[{"(*", "0", "*)"}], "]"}]}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", 
              RowBox[{"-", "1"}], ",", "0", ",", "1", ",", 
              RowBox[{"Pi", "/", "2"}], ",", "2", ",", "3", ",", "Pi", ",", 
              "4"}], "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "0", ",", "\"\<a\>\""}], "}"}], ",", 
              RowBox[{"-", "2"}], ",", "6", ",", "1", ",", 
              RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ","}], 
           "*)"}], "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"b", ",", "1", ",", "\"\<b\>\""}], "}"}], ",", "a", ",", 
            "10", ",", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", " ", 
          RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, 
   3.55595498987873*^9, {3.5559550328795357`*^9, 3.5559550606831217`*^9}, {
   3.555955130043425*^9, 3.555955130754794*^9}, {3.555955445633934*^9, 
   3.555955446553224*^9}, {3.5559554841776533`*^9, 3.55595553351919*^9}, {
   3.555972855692178*^9, 3.555972872864448*^9}, {3.555974078714859*^9, 
   3.5559741866894503`*^9}, 3.5559742290096273`*^9, {3.5559744273051567`*^9, 
   3.55597443698831*^9}, {3.555974472050551*^9, 3.555974831204073*^9}, {
   3.5559750511658077`*^9, 3.555975148210484*^9}, {3.555975410420656*^9, 
   3.55597541605132*^9}, 3.555975511869351*^9, {3.555975991101264*^9, 
   3.555975993438538*^9}, {3.5559761677025337`*^9, 3.555976243150054*^9}, {
   3.555976591264967*^9, 3.555976727127695*^9}, {3.555976763072371*^9, 
   3.5559768031356077`*^9}, {3.555977040624371*^9, 3.5559770816687107`*^9}, {
   3.555977130256312*^9, 3.5559771389289713`*^9}, 3.556013271902503*^9, {
   3.556013331870797*^9, 3.5560134855898647`*^9}, {3.5560146756752863`*^9, 
   3.556014722681542*^9}, {3.5560148129925117`*^9, 3.556014879499872*^9}, {
   3.5560149782428493`*^9, 3.556015008099082*^9}, {3.5560150601924267`*^9, 
   3.556015135191999*^9}, {3.5560156918071012`*^9, 3.556015727384406*^9}, {
   3.556015759372734*^9, 3.556015759921351*^9}, 3.5560158437803802`*^9, {
   3.5560159004095097`*^9, 3.556015903873268*^9}, {3.5560159350417013`*^9, 
   3.556015941927691*^9}, 3.556015981317937*^9, {3.5560162448338327`*^9, 
   3.556016291356028*^9}, {3.556016356976709*^9, 3.556016408944911*^9}, {
   3.556017218260509*^9, 3.556017265770609*^9}, {3.556017764474559*^9, 
   3.556017815887414*^9}, {3.556017864832926*^9, 3.5560179150936213`*^9}, {
   3.556018724007264*^9, 3.556018724225811*^9}, 3.5560187787188673`*^9, 
   3.556018883672976*^9, 3.556018976653655*^9, 3.5560204203497458`*^9, 
   3.556020697667755*^9, 3.5560207276751833`*^9, 3.5560208757886877`*^9, 
   3.556021019366963*^9, 3.5674238210670958`*^9, 3.56742399679632*^9, 
   3.567424409563747*^9}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = 
   Sin[$CellContext`x], $CellContext`c$$ = -2, $CellContext`d$$ = 
   10, $CellContext`e$$ = -4, $CellContext`f$$ = 4}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`e$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`f$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[$CellContext`qq = 
           Piecewise[{{$CellContext`q$$, $CellContext`a < $CellContext`x < \
$CellContext`b}, {0, $CellContext`x < $CellContext`a}, {
              0, $CellContext`x > $CellContext`b}}]; $CellContext`exactarea = 
           N[
             
             Integrate[$CellContext`q$$, {$CellContext`x, $CellContext`a, \
$CellContext`b}]]; $CellContext`gg = 
           Integrate[$CellContext`q$$, {$CellContext`x, $CellContext`a, \
$CellContext`x}]; $CellContext`ggg = 
           Piecewise[{{$CellContext`gg, $CellContext`a < $CellContext`x < \
$CellContext`b}, {0, $CellContext`x < $CellContext`a}, {
              0, $CellContext`x > $CellContext`b}}]; Grid[{{
              Framed[
               Text[
                Column[{
                  Style[
                   Row[{"f(x) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16], 
                  Style[
                   Row[{"a = ", 
                    TraditionalForm[$CellContext`a], "   b = ", 
                    TraditionalForm[$CellContext`b]}], Black, 16], 
                  Style[
                   Row[{"Area = ", 
                    NumberForm[$CellContext`exactarea, 10]}], Purple, 16]}, 
                 Alignment -> Center]]]}, {
              Show[{
                
                Plot[{$CellContext`q$$, $CellContext`qq}, {$CellContext`x, \
$CellContext`c$$, $CellContext`d$$}, Filling -> {2 -> Axis}, PlotPoints -> 
                 300, PlotRange -> {$CellContext`e$$, $CellContext`f$$}]}, 
               ImageSize -> {550, 300}]}, {
              Show[{
                
                Plot[$CellContext`ggg, {$CellContext`x, $CellContext`c$$, \
$CellContext`d$$}, PlotPoints -> 300, 
                 PlotRange -> {$CellContext`e$$, $CellContext`f$$}]}, 
               ImageSize -> {550, 300}]}}], {{$CellContext`a, 0}, {-2, -1, 0, 
            1, Pi/2, 2, 3, Pi, 4}, ControlType -> 
           Setter}, {{$CellContext`b, 1, "b"}, $CellContext`a, 10, Appearance -> 
           "Labeled"}, AutorunSequencing -> {2, 3, 4}, ControlPlacement -> 
          Left, TrackedSymbols -> True, Alignment -> Center], StandardForm],
        ImageSizeCache->{1070., {449., 455.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{
  3.555975530923867*^9, 3.5559759953966913`*^9, 3.5559762473425207`*^9, {
   3.555976645859604*^9, 3.555976658954154*^9}, 3.555976707556628*^9, {
   3.555976790840741*^9, 3.555976807529232*^9}, {3.5559770580884447`*^9, 
   3.555977132431286*^9}, 3.555981330070669*^9, 3.5560132750773087`*^9, 
   3.556014892552785*^9, 3.556015012708167*^9, 3.5560150656088543`*^9, {
   3.556015119260674*^9, 3.556015144000738*^9}, {3.556015714004593*^9, 
   3.556015728667326*^9}, 3.556015761322465*^9, 3.5560158492318373`*^9, 
   3.5560159073419523`*^9, 3.5560159439328203`*^9, 3.556015987710335*^9, {
   3.5560163126986113`*^9, 3.556016314072259*^9}, 3.55601636795399*^9, 
   3.55601641402857*^9, 3.556017273695244*^9, {3.5560179019177094`*^9, 
   3.5560179172755404`*^9}, 3.55601821628438*^9, 3.556018727897829*^9, 
   3.5560187809385157`*^9, 3.5560188892371387`*^9, 3.556018960313657*^9, 
   3.55602087877868*^9, 3.556021021537559*^9, 3.5560211481863117`*^9, 
   3.5560212339487762`*^9, 3.559237408394969*^9, 3.567385932333798*^9, 
   3.567424425060009*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Area Function Demo\>\"", "\n", 
   RowBox[{"By", ":", " ", 
    RowBox[{"Ethan", " ", "Bloch"}]}]}]}]], "Input",
 CellChangeTimes->{{3.55463701035231*^9, 3.55463704982864*^9}, 
   3.554639610071045*^9, {3.555895107033946*^9, 3.555895112598609*^9}, {
   3.556018201209847*^9, 3.556018203703179*^9}, {3.559237400646105*^9, 
   3.55923740108285*^9}, 3.567385927853026*^9}]
},
WindowSize->{1100, 806},
WindowMargins->{{50, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 15927, 320, 1174, "Input"],
Cell[16509, 344, 5466, 116, 1087, "Output"]
}, Open  ]],
Cell[21990, 463, 512, 10, 91, "Input"]
}
]
*)

(* End of internal cache information *)
